/** Panel in which displays values about the current 
	population for the CECS 375 Final Project.
    @author Dan Kelly
	@version 1.0
*/

import javax.swing.*;
import java.awt.*;

public class FitnessPanel extends JPanel {

	private GeneticFrame gf;
	
	/** Creates a panel which displays values about the current population.*/
	public FitnessPanel (GeneticFrame geneticFrame) {
		setBackground(Color.black);
		gf = geneticFrame;
		Box box = Box.createVerticalBox();
		box.add(Box.createRigidArea(new Dimension(1,40)));
		add(box);
	} // End Constructor
	
	/** This method is invoked each time
    	the panel has to be repainted. It
    	should not be invoked directly. */
	public void paintComponent (Graphics g) {
		super.paintComponent(g);
		
		g.setColor(Color.yellow);
		g.drawString("Average Population Fitness: "+gf.getPopFitness(),280,10);
		g.drawString("Fitness of Strongest Member: "+gf.getStrongFit(),280,25);
		g.drawString("Number of Generations: "+gf.getNumGenerations(),280,40);
		
	} // End paintComponent
	
} // End FitnessPanel