/** Panel which displays the user-specified 
	values for the CECS 375 Final Project.
    @author Dan Kelly
	@version 1.0
*/
import javax.swing.*;
import java.awt.*;

public class GeneticPanel extends JPanel {

	private GeneticFrame gf;
	
	/** Creates a panel which displays the user-specified values.*/
	public GeneticPanel (GeneticFrame geneticFrame) {
		setBackground(Color.black);
		gf = geneticFrame;
		Box box = Box.createVerticalBox();
		box.add(Box.createRigidArea(new Dimension(258,1)));
		add(box);
	} // End Constructor
	
	/** This method is invoked each time
    	the panel has to be repainted. It
    	should not be invoked directly. */
	public void paintComponent (Graphics g) {
		super.paintComponent(g);
		
		g.setColor(Color.yellow);
		g.drawString("Number of Members: "+gf.getNumMembers(),45,60);
		g.drawString("Fitness Threshold    : "+gf.getFitnessThreshold(),45,80);
		g.drawString("Crossover Rate         : "+gf.getCrossoverRate(),45,100);
		g.drawString("Mutation Rate             : "+gf.getMutationRate(),45,120);
		
	} // End paintComponent
	
} // End GeneticPanel