/** Panel in which displays the final results about the 
	current population for the CECS 375 Final Project.
    @author Dan Kelly
	@version 1.0
*/

import javax.swing.*;
import java.awt.*;

public class ResultPanel extends JPanel {

	private Font font;
 	private FontMetrics fontMetrics;
	private String message = "Fitness Threshold Acheived.";
	private GeneticFrame gf;

	/** Creates a panel which displays the final results about the current population.*/
	public ResultPanel (GeneticFrame geneticFrame) {
		setBackground(Color.black);
		gf = geneticFrame;
	} // End Constructor

	/** This method is invoked each time
    	the panel has to be repainted. It
    	should not be invoked directly. */
	public void paintComponent (Graphics g) {
		super.paintComponent(g);

		int height=getHeight();
	    int width=getWidth();
		font=new Font("SansSerif",Font.PLAIN,12);
		fontMetrics=g.getFontMetrics(font);

		g.setColor(Color.yellow);
		g.setFont(font);
		g.drawString(message,(width/2)-fontMetrics.stringWidth(message)/2,(height/2)-30);
		
		String strongest = "Fitness of Strongest Member: " + gf.getStrongFit();
		g.drawString(strongest,(width/2)-fontMetrics.stringWidth(strongest)/2,(height/2)-10);
		
		String rep = (gf.getStrongestMember()).display();
		g.drawString(rep,(width/2)-fontMetrics.stringWidth(rep)/2,(height/2)+10);
		
		String gen = "Number of Generations: " + gf.getNumGenerations();
		g.drawString(gen,(width/2)-fontMetrics.stringWidth(gen)/2,(height/2)+30);

	} // End paintComponent
	
} // End ResultPanel